Loading...
Searching...
No Matches
CxxTest::DummyWorldDescription Class Reference

`#include <DummyDescriptions.h>`

## Public Member Functions

| DummyWorldDescription ()
unsigned | numSuites (void) const
unsigned | numTotalTests (void) const
const SuiteDescription & | suiteDescription (unsigned) const
SuiteDescription * | firstSuite ()
const SuiteDescription * | firstSuite () const
void | activateAllTests ()
bool | leaveOnly (const char *, const char *=0)
bool | setUp ()
bool | tearDown ()
Public Member Functions inherited from CxxTest::WorldDescription
virtual | ~WorldDescription ()
char * | strTotalTests (char *) const
Public Member Functions inherited from CxxTest::Link
| Link ()
virtual | ~Link ()
bool | active () const
void | setActive (bool value=true)
Link * | justNext ()
Link * | justPrev ()
Link * | next ()
Link * | prev ()
const Link * | next () const
const Link * | prev () const
void | attach (List &l)
void | detach (List &l)

## Private Attributes

DummySuiteDescription | _suite

## Additional Inherited Members

Public Types inherited from CxxTest::WorldDescription
enum | { MAX_STRLEN_TOTAL_TESTS = 32 }

## Detailed Description

Definition at line 54 of file DummyDescriptions.h.

## Constructor & Destructor Documentation

## DummyWorldDescription()

CxxTest::DummyWorldDescription::DummyWorldDescription | ( |  | ) |

Definition at line 36 of file DummyDescriptions.cpp.

: _suite() {}
CxxTest::DummyWorldDescription::_suite
DummySuiteDescription _suite
Definition DummyDescriptions.h:71

## Member Function Documentation

## activateAllTests()

void CxxTest::DummyWorldDescription::activateAllTests | ( |  | ) |

virtual

Implements CxxTest::WorldDescription.

Definition at line 43 of file DummyDescriptions.cpp.

{}

## firstSuite() [1/2]

SuiteDescription * CxxTest::DummyWorldDescription::firstSuite | ( |  | ) |

virtual

Implements CxxTest::WorldDescription.

Definition at line 41 of file DummyDescriptions.cpp.

{ return 0; }

## firstSuite() [2/2]

const SuiteDescription * CxxTest::DummyWorldDescription::firstSuite | ( |  | ) | const

virtual

Implements CxxTest::WorldDescription.

Definition at line 42 of file DummyDescriptions.cpp.

{ return 0; }

## leaveOnly()

bool CxxTest::DummyWorldDescription::leaveOnly | ( | const char * | ,
|  | const char * | = 0 )

virtual

Implements CxxTest::WorldDescription.

Definition at line 44 of file DummyDescriptions.cpp.

{ return false; }

## numSuites()

unsigned CxxTest::DummyWorldDescription::numSuites | ( | void |  | ) | const

virtual

Implements CxxTest::WorldDescription.

Definition at line 38 of file DummyDescriptions.cpp.

{ return 0; }

## numTotalTests()

unsigned CxxTest::DummyWorldDescription::numTotalTests | ( | void |  | ) | const

virtual

Implements CxxTest::WorldDescription.

Definition at line 39 of file DummyDescriptions.cpp.

{ return 0; }

## setUp()

bool CxxTest::DummyWorldDescription::setUp | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 46 of file DummyDescriptions.cpp.

{ return true;}

## suiteDescription()

const SuiteDescription & CxxTest::DummyWorldDescription::suiteDescription | ( | unsigned |  | ) | const

virtual

Implements CxxTest::WorldDescription.

Definition at line 40 of file DummyDescriptions.cpp.

{ return _suite; }

## tearDown()

bool CxxTest::DummyWorldDescription::tearDown | ( |  | ) |

virtual

Implements CxxTest::Link.

Definition at line 47 of file DummyDescriptions.cpp.

{ return true;}

## Field Documentation

## _suite

DummySuiteDescription CxxTest::DummyWorldDescription::_suite

private

Definition at line 71 of file DummyDescriptions.h.

The documentation for this class was generated from the following files:

- libpolys/tests/cxxtest/DummyDescriptions.h
- libpolys/tests/cxxtest/DummyDescriptions.cpp